<?
header("Content-Type: application/xhtml+xml; charset=utf8");
use_helper('UrlFunctions');
$o_ObjectBean = new ColaboradorBean();
  
$tamanioPag = 30;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

//Obtener Filtro X Rol
$o_colaborador_Temp = new TipoColaboradorRolBean();
$o_colaborador_Temp->setIdRol(myUser::getUser()->getRoleId());

$o_ColaboradorBL_Temp = new TipoColaboradorRolBL();
$a_o_Colaborador = $o_ColaboradorBL_Temp->busquedaTipoColaboradorRol($o_colaborador_Temp);

if($a_o_Colaborador[0]->getFiltroColaborador()){
	$a_RolId = explode(",",$a_o_Colaborador[0]->getFiltroColaborador());
}

//----------------------------------------

//Obtener Filtro X Sucursal

 if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	
  	$o_ObjectBean->setIdPadre($o_ColaboradorBeanResult[0]->getIdPadre());
	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres
 	//SIN FILTRO
 }else{//Solo los Hijos del Colaborador
	$o_ObjectBeanT = new ColaboradorBean();
	$o_ObjectBeanT->setIdColaborador(myUser::getUser()->getIdColaborador());
	$o_ObjectDPT = new ColaboradorDP($o_ObjectBeanT);
	$a_o_ObjectDPT = $o_ObjectDPT->select();
	//print_r($a_o_ObjectDPT);
	$o_ObjectDPT = $a_o_ObjectDPT[0];
  	$o_ObjectBean->setIdPadre(myUser::getUser()->getIdColaborador());
 }

//


if(is_array($a_RolId))	{ $o_ObjectBean->setFiltroColaborador($a_RolId); }
if($idColobarador  !=""){ $o_ObjectBean->setIdColaborador($idColobarador); }
if($Nombres      	!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($Nombres); }
if($Nombres     	!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($Nombres); }

if($Dni            !=""){ $o_ObjectBean->setDni($Dni); }
if($cboIdRol       !=""){ $o_ObjectBean->setIdRol($cboIdRol); }




 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$o_class = new ColaboradorBL();
$a_ObjectBean = $o_class->busquedaColaborador($o_ObjectBean);

if(is_array($a_o_ObjectDPT)){
	//echo "entro 2";
	$a_ObjectBean = array_merge($a_o_ObjectDPT,$a_ObjectBean);
}
$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="4%" >Nro</th>
                <!--<th width="18%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Nombres','Nombres')?>&nbsp;</th>-->
                <th width="18%" align="left">Nombre &nbsp;&nbsp;&nbsp;</th>
				<th width="4%" align="left">DNI &nbsp;&nbsp;&nbsp;</th>
                <th width="8%" align="left">Telefono </th>
				<th width="8%" align="left">H.Ingreso </th>
				<th width="8%" align="left">Rol </th>
				<th width="8%" align="left">Usuario </th>
                <th width="6%" align="left">Estado &nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <td><?=ucwords(strtolower($o_objBean->getNombreCompleto()))?></td>
        				<td><?=$o_objBean->getDni()?></td>
        				<td align="center"><?=$o_objBean->getTelefono()?></td>
						<td><?php 
				$o_RhMarcacionColaboradorFN = new RhMarcacionColaboradorFN();
				$o_RhMarcacionColaboradorFN->setIdcolaborador($o_objBean->getIdColaborador()); 	
				$o_RhMarcacionColaboradorFN->setIdregistro("I"); 	
				$o_RhMarcacionColaboradorFN->setIdtipo("N"); 	
				$o_RhMarcacionColaboradorBN = $o_RhMarcacionColaboradorFN->selectByPK();
				if(is_object($o_RhMarcacionColaboradorBN)) echo $o_RhMarcacionColaboradorBN->getHoraminutoinicio()." - ".$o_RhMarcacionColaboradorBN->getHoraminutofin();?></td>
        				<td align="left"><?=$o_objBean->getIdRol()?></td>
        				<td align="left"><?=$o_objBean->getUsuario()?></td>
						<td><?if($o_objBean->getEstado()=='A'){echo "Activo" ; }else{ echo "Inactivo" ;}?></td>
        				<td align="center"><?=strtoupper($o_objBean->getUsuarioCreacion())?></td>
        				<td align="center"><?=$o_objBean->getFechaCreacion()?></td>
        				<td align="center" valign="top">
						<?php if($o_objBean->getIdRol() != "sys.res"){?>
				   <img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('rep/show/id/'.$o_objBean->getIdColaborador());?>','block=001')">&nbsp;
				   <input type="image" name="Editar" title="Editar" src="/images/common/buttons/btnEdit.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('rep/edit/id/'.$o_objBean->getIdColaborador())?>','block=001')">&nbsp;
				    <?php  if( $o_objBean->getEstado()=='A'){?>
				   <input type="image" name="Reemplazar" title="Reemplazar" src="/images/common/buttons/btnRefresh.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('rep/reemplazo/id/'.$o_objBean->getIdColaborador())?>','block=001')">&nbsp;
				   <?php }?>
				   <!--<input type="image" name="Eliminar" title="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getIdColaborador()?>','<?=$o_objBean->getIdColaborador()?>')">&nbsp;-->
				<?php }?>
				</td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>